# Academic Research

I invite all academics and researchers to show their support for this project by properly citing it
wherever appropriate in your publications and references.

## Citing this Software

I wrote a 
[paper about WEBMIDI.js](https://nime.pubpub.org/pub/user-friendly-midi-in-the-web-browser) and, 
more specifically, about how it tries to address the usability shortcomings of the Web MIDI API. I
invite academics to cite it in their publication whenever appropriate: 

> Côté, J.-P. (2022). User-Friendly MIDI in the Web Browser. NIME 2022.
> https://doi.org/10.21428/92fbeb44.388e4764

You can also cite the library itself like so (APA style):

> Côté, J. P. (2023). WEBMIDI.js v3.1.6 [Computer Software]. Retrieved from 
> https://github.com/djipco/webmidi

## Papers Citing Usage of WEBMIDI.js

* Leischner, V., & Husa, P. (2023). Sonification of a Juggling Performance Using Spatial Audio. 
  Proceedings of the ACM on Computer Graphics and Interactive Techniques, 6(2), 1–6. 
  https://doi.org/10.1145/3597619

* Baratè, A., & Ludovico, L. A. (2022). **Web MIDI API: State of the Art and Future Perspectives**. 
  Journal of the Audio Engineering Society, 70(11), 918–925.
  https://www.aes.org/e-lib/browse.cfm?elib=22016

* Graber, Z., & Henrion, W. (2021). **Music For Me**. Computer Science and Engineering Senior Theses.
  https://scholarcommons.scu.edu/cseng_senior/203

* Kostek, B. (Éd.). (2021). **Postępy badań w inżynierii dźwięku i obrazu**. Politechnika Wrocławska,
  Oficyna Wydawnicza. https://doi.org/10.37190/ido2021

* Walczak, M., & Łukasik, E. (2021). **Rozproszony system generowania, edycji i transmisji dźwięku 
  wykorzystujący interfejsy Web Audio API, WebRTC i Web MIDI API**. In Postępy badań w inżynierii
  dźwięku i obrazu: Nowe trendy i zastosowania technologii dźwięku wielokanałowego oraz badania
  jakości dźwięku (pp. 83–104). Oficyna Wydawnicza Politechniki Wrocławskiej.
  https://doi.org/10.37190/ido2021

* Krawczuk, J. (2020). **Real-Time and Post-Hoc-Visualizations of Guitar Performances as a Support
  for Music Education**. https://doi.org/10/gkb622

* Lundh Haaland, M. (2020). **The Player as a Conductor: Utilizing an Expressive Performance
  System to Create an Interactive Video Game Soundtrack** (Dissertation). Retrieved from
  http://urn.kb.se/resolve?urn=urn:nbn:se:kth:diva-281324

* Bazin, T. & Hadjeres, G. (2019). **NONOTO: A Model-agnostic Web Interface for Interactive
  Music Composition by Inpainting**, presented at 10th International Conference on Computational
  Creativity, Charlotte, 2019. Retrieved from https://arxiv.org/abs/1907.10380

* Smith, A. (2019). **Sonification: Turning the Yield Curve into Music**. FT.com.
  http://search.proquest.com/docview/2191715473/fulltext/3D4C05EAFC6A4AEEPQ/1?accountid=14719

* Cárdenas, A. & Mauricio B. (2018). **Diseño y desarrollo de un prototipo para integración de
  Tecnología de Tracking 3d con Tecnología MIDI** [Doctoral dissertation, Pontificia Universidad
  Católica del Ecuador]. Retrieved from http://repositorio.puce.edu.ec/handle/22000/15838

If you are using WEBMIDI.js in your research, I would love to know about it. To notify me, you can 
simply drop me a note on [Twitter](https://twitter.com/djipco). By the way, I'm open to artistic
and/or academic collaborations.
